Page MenuHomePhabricator

Kill limn1
Closed, ResolvedPublic0 Story Points

Description

Limn1 is going to die and never wake up, labs team can't support it any longer and sounds like puppet hasn't run there in a million years. The dealine for labs team to kill that instance is March 2017.

Event Timeline

Nuria created this task.Sep 21 2016, 6:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2016, 6:30 PM
elukey added a subscriber: elukey.Sep 22 2016, 6:07 AM
Nuria edited projects, added Analytics; removed Analytics-Kanban.Sep 22 2016, 3:27 PM
Nuria moved this task from Incoming to Operational Excellence Future on the Analytics board.
Nuria added a comment.EditedSep 29 2016, 4:24 PM

There are two types of dashboards:

Nuria updated the task description. (Show Details)Sep 29 2016, 4:24 PM
Nuria added a subscriber: Neil_P._Quinn_WMF.

Hey all pinged folks, this is what we're looking to do with dashboards from limn1.eqiad.wmnet:/var/lib/limn/

kill:

analytics/
debugging/
edit-reportcard/
example/
gp/ (check with @Ijon)
mobile-reportcard/ (easy to migrate but used by anyone? ping @Jdlrobson and @JKatzWMF)
multimedia-metrics/ (hard to migrate, ping @MarkTraceur, @Gilles)
recommend/ (ping @leila)
test-reportcard/
vital-signs/
edit-analysis/ (already migrated)
extdist/
extdist-reportcard/
language-reportcard/ (already migrated)

migrate to dashiki:

ee-dashboard/ (being migrated already by @HJiang-WMF)
flow-reportcard/ (easy to migrate)
glam-metrics/ (easy)
reportcard/ (pretty easy)

Nuria added a comment.Sep 29 2016, 4:38 PM

Let's work on killing instances (cleaning up labs proxy config and such) and migrating reportcard at the same time.

Let's hopefully work with owners to move edit dashboards to dashiki.

@Tbayer FYI
I don't see any problem with it at this point. I haven't looked at it in at least 6 months and new PM hasn't been told about it.

@schana can you check T146308#2677422 and see if, as far as you know, we care about recommend/ being killed?

@leila I was unaware that the dashboard even existed. I have no objections to it being killed.

leila added a comment.Sep 30 2016, 3:21 PM

@schana, thanks.

@Milimetric please feel free to kill recommend/. Thanks for checking with us. :)

Nuria renamed this task from Kill limn1 to Kill limn1 .Oct 5 2016, 4:08 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.
Nuria set the point value for this task to 0.
Nuria moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.Oct 5 2016, 4:11 PM

Please make sure to archive the dashboards with some JavaScript-capable system. They are often referenced in discussions which would become meaningless.

Nuria added a comment.Jan 3 2017, 8:42 PM

The dashboards that are to be migrated have been so, there have been some dashboards that we have deleted. notable exception is the reportcard, we need to migrate that one but we have not started that yet.

Nemo_bis added a comment.EditedJan 4 2017, 8:26 AM

Yes, the dashboards which need to be archived and preserved are those which don't get migrated.

Gilles removed a subscriber: Gilles.Jan 4 2017, 8:51 AM
Nuria added a comment.Jan 4 2017, 4:28 PM

@Nemo_bis : sorry but we cannot possibly do that as it would equal maintaining them alive, you can see the list above that the dashboards killed were of no interest to their owners/had no updated data/had testing data.

@Nemo_bis: do you have specific examples of dashboards that are used in conversation but not migrated? I'd like to make sure the migration is complete, and that we only delete dashboards that are no longer used.

@Andrew pinged me in chat about this for an update. Marcel is currently working on T156388 which will get us the only data still unique to the dashboards on limn1. So technically limn1 is still useful until that task and a few following ones are taken care of.

However, if you need to kill it, if that makes your lives at all even a little bit easier, please feel free to kill it with extreme prejudice. If anybody is saddened by this, I will personally counsel them through it.

https://www.youtube.com/watch?v=N9wsjroVlu8 (Office Space printer scene, worth a re-watch when we bury this thing)

Thanks for the update. It's fine with me if the instance lives on into March, as long as I know someone is on the case and y'all are aware that 3/31 is a hard deadline.

Any update on this?

Nuria added a comment.Mar 22 2017, 2:58 PM

Work will be completed by end of month by the time instance is turned off.

no worries either way, because the instance hasn't been updated in 6 months and only one person even noticed.

@Milimetric @Nuria I propose we shut this down today or tomorrow just to make sure you guys don't figure out you need something from it before the 3/31 deadline :) (It's currently 1 of 3 remaining)

chasemp triaged this task as Normal priority.Mar 27 2017, 5:57 PM
a412cfb3-d6a8-413c-b97b-571004f37803limn1analyticsACTIVE-Runningpublic=10.68.16.94

nova stop a412cfb3-d6a8-413c-b97b-571004f37803

statusSHUTOFF
chasemp closed this task as Resolved.Mar 31 2017, 2:22 PM
chasemp claimed this task.